Page MenuHomePhabricator

PropertyKeyPath class
Closed, ResolvedPublic

Description

At least for PropertyRule implementations it would be helpfull to have a generic class that helps to parse/wildcard7... property keys.

The idea is to have a class like DICOMTagPath but generic for property keys; so it dont force you to have DICOM tags as elements between "." but any string.

To minimze code duplication it would be good to also rework DICOMTagPath in this task to also internally use PropertyRelationRule base for parsing generation etc.

Revisions and Commits

rMITK MITK
Restricted Differential Revision

Event Timeline

floca created this task.Nov 22 2017, 5:31 PM
floca claimed this task.Dec 14 2017, 2:55 PM
floca added a revision: Restricted Differential Revision.Dec 18 2017, 9:21 AM
floca added a revision: Restricted Differential Revision.Dec 19 2017, 2:57 PM
floca closed this task as Resolved by committing rMITK77d80814ea76: Fixed T23807.Dec 19 2017, 3:18 PM